Support Questions
Find answers, ask questions, and share your expertise

upgrade to hdf 3.1 via ambari does not work

Explorer

Hello,

I try to install hdf 3.1 via ambari,

I follow step by step this procedure: Ambari Managed HDF Upgrade (https://docs.hortonworks.com/HDPDocuments/HDF3/HDF-3.1.0/bk_ambari-upgrade/content/ambari_upgrade_gu...)

My config was ambari 2.5.2 whith HDP2.6.0.3 and nifi via "mpack 3 0 3 0 6"

Following the procedure describe in "Ambari Managed HDF Upgrade", the version of Ambari is now 2.6.1 and all seems to be ok.

I have register the version of HDF 3.1, but I don't have the possibility to install the HDF 3.1 version :

1) Click the Admin tab, and then click Stack and Versions.

2) Click the Versions tab.

3) Click the Manage Versions button.

4) From the Versions tab, identify the target version I just registered, and click the Install on ... button.

... and I don't see anything to install HDF 3.1

It is not a problem of repository becauce I try this procedure with HDP 2.6.4 and in this case, I see the install button of HDP 2.6.4

1 REPLY 1

Explorer

I found a solution but I am not sure this is the best way to do it.

My goal was to get nifi 1.5, I thought I need to install the stach HDF 3.1, I did'nt manage to install HDF 3.1 but I manage to have nifi 1.5 in my ambari.

like this:

1) install HDP 2.6.4 (ambari 2.6.1 was already installed)

2) In version tab of ambari change base URL of HDF30 of HDP264 stack to

http://public-repo-1.hortonworks.com/HDF/centos7/3.x/updates/3.1.1.0

3) ambari-server stop and start

4) ambari-server uninstall-mpack --mpack-name=hdf-ambari-mpack

5) ambari-server install-mpack --mpack=/tmp/hdf-ambari-3.1.1.0-35.tar.gz

5) delete nifi service

6) install nifi service

7) stop nifi service

😎 kill aff nifi process

9) mv /usr/hdf/current/nifi /usr/hdf/current/nifi_old

10) ln -sf /usr/hdf/3.1.1.0-35/nifi /usr/hdf/current/nifi

11) start nifi via ambari